<template>
  <nav class="navbar navbar-expand-lg navbar-light bg-light shadow-sm bg-opacity-75 p-3" id="sticky-navbar">
    <div class="container">
      <a class="navbar-brand" href="#">Octagon</a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <router-link class="nav-link" to="/home">Home</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" to="/about">About</router-link>
          </li>
          <li class="nav-item" v-if="!isLoggedIn">
            <router-link class="nav-link" to="/register">Register</router-link>
          </li>
          <li class="nav-item" v-if="!isLoggedIn">
            <router-link class="nav-link" to="/login">Login</router-link>
          </li>
          <li class="nav-item" v-if="isLoggedIn">
            <a class="nav-link" @click="logout">Logout</a>
          </li>
          <!-- Add more navigation items for logged-in users here -->
        </ul>
      </div>
    </div>
  </nav>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  computed: {
    ...mapGetters(['loggedIn']), // Map the loggedIn getter
  },
  methods: {
    ...mapActions(['logout']), // Map the logout action
  },
};
</script>

<style scoped>
/* Add custom styles here if needed */
#sticky-navbar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000; /* Adjust the z-index as needed */
}
</style>
